Name:			graphviz
Summary:		Graph Visualization Tools
Version:		2.26.3
Release:		1
Group:			Applications/Multimedia
License:		CPL
URL:			http://www.graphviz.org/
Source0:		http://www.graphviz.org/pub/graphviz/ARCHIVE/%{name}-%{version}.tar.gz
Source1:		http://www.graphviz.org/pub/graphviz/ARCHIVE/%{name}-%{version}.tar.gz.md5
Patch0:			%{name}-%{version}-aix.patch

# Fix gtk plugin program-name (#640671).
Patch1:                 graphviz-2.26.0-gtk-progname.patch
# Fix broken links in doc index (#642536).
Patch2:                 graphviz-2.26.0-doc-index-fix.patch
# Fix SIGSEGVs on testsuite (#645703).
Patch3:                 graphviz-2.26.0-testsuite-sigsegv-fix.patch
# Testsuite now do diff check also in case of err output (#645703).
Patch4:                 graphviz-2.26.0-rtest-errout-fix.patch

BuildRequires:		make, patch
BuildRequires:		cairo-devel >= 1.10.0
BuildRequires:		expat-devel >= 2.0.1
BuildRequires:		gd-devel >= 2.0.35
BuildRequires:		glib2-devel >= 2.22.5
BuildRequires:		gts-devel >= 0.7.6
BuildRequires:		libXpm-devel >= 3.5.7
BuildRequires:		libjpeg-devel >= 6b
BuildRequires:		libpng-devel >= 1.2.46
BuildRequires:		lua-devel >= 5.1.5
BuildRequires:		pango-devel >= 1.24.5
BuildRequires:		perl >= 5.8.8
BuildRequires:		readline-devel >= 5.2
BuildRequires:		swig >= 1.3.40
BuildRequires:		zlib-devel >= 1.2.3

Requires:		cairo >= 1.10.0
Requires:		expat >= 2.0.1
Requires:		gd >= 2.0.35
Requires:		glib2 >= 2.22.5
Requires:		gts >= 0.7.6
Requires:		libXpm >= 3.5.7
Requires:		libjpeg >= 6b
Requires:		libpng >= 1.2.46
Requires:		lua >= 5.1.5
Requires:		pango >= 1.24.5
Requires:		perl >= 5.8.8
Requires:		swig >= 1.3.40
Requires:		zlib >= 1.2.3

BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root

%description
A collection of tools for the manipulation and layout of graphs (as in nodes 
and edges, not as in barcharts).


%package devel
Group:			Development/Libraries
Summary:		Development package for graphviz
Requires:		%{name} = %{version}-%{release}, pkg-config

%description devel
A collection of tools for the manipulation and layout of graphs (as in nodes 
and edges, not as in barcharts). This package contains development files for 
graphviz.


%package doc
Group:			Documentation
Summary:		PDF and HTML documents for graphviz

%description doc
Provides some additional PDF and HTML documentation for graphviz.


%package gd
Group:			Applications/Multimedia
Summary:		Graphviz plugin for renderers based on gd
Requires:		%{name} = %{version}-%{release}

%description gd
Graphviz plugin for renderers based on gd.  (Unless you absolutely have to use 
GIF, you are recommended to use the PNG format instead because of the better 
quality anti-aliased lines provided by the cairo+pango based renderer.)


%package graphs
Group:			Applications/Multimedia
Summary:		Demo graphs for graphviz

%description graphs
Some demo graphs for graphviz.


%package lua
Group:			Applications/Multimedia
Summary:		Lua extension for graphviz
Requires:		%{name} = %{version}-%{release}
Requires:		lua
Requires:		readline >= 5.2

%description lua
Lua extension for graphviz.


%package perl
Group:			Applications/Multimedia
Summary:		Perl extension for graphviz
Requires:		%{name} = %{version}-%{release}
Requires:		perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires:		perl >= 5.8.8

%description perl
Perl extension for graphviz.

%package python
Group:                  Applications/Multimedia
Summary:                Python extension for graphviz
Requires:               %{name} = %{version}-%{release}, python >= 2.6.2

%description python
Python extension for graphviz.


%prep
%setup -q
%patch0
export PATH=/opt/freeware/bin:$PATH
%patch1 -p1 -b .gtk-progname
%patch2 -p1 -b .doc-index-fix
%patch3 -p1 -b .testsuite-sigsegv-fix
%patch4 -p1 -b .rtest-errout-fix


%build
export CC="xlc_r"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --enable-lua=yes           

gmake -j8
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

chmod -x ${RPM_BUILD_ROOT}%{_datadir}/%{name}/lefty/*
cp -pr ${RPM_BUILD_ROOT}%{_datadir}/%{name}/doc __doc
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/%{name}/doc

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(find ${RPM_BUILD_ROOT}%{_libdir}/%{name} -type f | grep -vE "lua|perl|python|_gd\.|\.la" | sed -e s@^${RPM_BUILD_ROOT}@@) > datafiles.lst
(find ${RPM_BUILD_ROOT}%{_libdir}/%{name} -type f -name "*.la" | grep -vE "lua|perl|python|gd.la" | sed -e s@^${RPM_BUILD_ROOT}@@) > devdatafiles.lst

cd ${RPM_BUILD_ROOT}%{_libdir}
for f in *.a ; do
    /usr/bin/ar -x $f
done
cd %{name}
for f in *.a ; do
    /usr/bin/ar -x $f
done
cd lua 
for f in *.a ; do
    /usr/bin/ar -x $f
done
cd ../perl
for f in *.a ; do
    /usr/bin/ar -x $f
done
cd ../python
for f in *.a ; do
    /usr/bin/ar -x $f
done

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%post
%{_bindir}/dot -c


# if there is no dot after everything else is done, then remove config
%postun
if [ $1 -eq 0 ]; then
    /bin/rm -f %{_libdir}/%{name}/config || :
fi


%post gd
%{_bindir}/dot -c


%postun gd
[ -x %{_bindir}/dot ] && %{_bindir}/dot -c || :


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files -f datafiles.lst
%defattr(-,root,system,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%dir %{_libdir}/graphviz
%{_libdir}/*.a
%{_libdir}/*.so.*
%{_mandir}/man1/*.1
%{_mandir}/man7/*.7
%{_datadir}/%{name}
/usr/bin/*
/usr/lib/*.a
/usr/lib/*.so.*


%files devel -f devdatafiles.lst
%defattr(-,root,system,-)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*.3
/usr/include/*
/usr/lib/*.la


%files doc
%defattr(-,root,system,-)
%doc __doc/*


%files gd
%defattr(-,root,system,-)
%{_libdir}/%{name}/libgvplugin_gd.*


%files graphs
%defattr(-,root,system,-)
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/graphs


%files lua
%defattr(-,root,system,-)
%{_libdir}/%{name}/lua*
%{_mandir}/man3/gv.3lua


%files perl
%defattr(-,root,system,-)
%{_libdir}/%{name}/perl*
%{_mandir}/man3/gv.3perl


%files python
%defattr(-,root,system,-)
%{_libdir}/%{name}/python*
%{_libdir}/python*/site-packages/*
%{_mandir}/man3/gv.3python


%changelog
* Tue Nov 13 2012 Michael Perzl <michael@perzl.org> - 2.26.3-1
- updated to version 2.26.3

* Thu Nov 12 2009 Michael Perzl <michael@perzl.org> - 2.24.0-1
- first version for AIX V5.1 and higher
